main header {
    width: 100%;
    height: 6.2rem;
    padding: 1% 4%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: transparent;
    overflow: hidden;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    transition: background .5s ease-in-out;
}

main header.scrolled {
    background: var(--light-black-color);
}

main header .logo img {
    width: 50%;
}

main header nav,
main header nav ul {
    display: flex;
    align-items: center;
    /* gap: 2rem; */
}

main header nav ul li a {
    color: var(--white-color);
    padding: 2.25rem;
    position: relative;
    transition: all .5s ease;
    font-family: var(--regular-font);
    transition: color .5s ease-in-out;
}

main header nav ul li a.scrolled {
    color: var(--white-color);
}

main header nav ul li a:hover {
    color: var(--primary-color);
}

main header nav ul li:hover a::before {
    content: '';
    border: 0.1rem solid var(--primary-color);
    width: 1rem;
    position: absolute;
    bottom: 25%;
    left: 27.5%;
    transform: rotate(-50deg);
}

main header nav ul li:hover a::after {
    content: '';
    border: 0.1rem solid var(--primary-color);
    width: 1rem;
    position: absolute;
    top: 30%;
    left: 55%;
    transform: rotate(-50deg);
}

main header nav ul #checked a {
    color: var(--primary-color);
}

main header nav ul #checked a::before {
    content: '';
    border: 0.1rem solid var(--primary-color);
    width: 1rem;
    position: absolute;
    bottom: 25%;
    left: 27.5%;
    transform: rotate(-50deg);
}

main header nav ul #checked a::after {
    content: '';
    border: 0.1rem solid var(--primary-color);
    width: 1rem;
    position: absolute;
    top: 30%;
    left: 55%;
    transform: rotate(-50deg);
}

main header nav .cta_btn a {
    padding: 1rem;
    background: var(--accent-color);
    color: var(--black-color);
    font-family: var(--heading-font);
    font-weight: var(--fw-regular);
    font-size: var(--fs250);
    text-transform: uppercase;
    transition: all .8s ease;
    box-shadow: inset 0 0 0 0 var(--white-color);
}

main header nav .cta_btn a:hover {
    color: var(--white-color);
    /* background: var(--primary-color); */
    box-shadow: inset 180px 0 0 0 var(--primary-color);
}

main header .mobile_nav {
    position: fixed;
    right: 0;
    top: 0;
    z-index: 999;
    justify-content: center;
    align-content: center;
    text-align: center;
    min-height: 100vh;
    width: 50%;
    background: var(--black-color);
    flex-direction: column;
    display: none;
    transition: all .5s ease;
}

main header .mobile_nav ul {
    flex-direction: column;
    gap: 3rem;
    margin-bottom: 3rem;
}

main header .menu_block {
    display: none;
}

main header .menu_block svg {
    width: 2rem;
    height: 2rem;
    fill: var(--white-color);
    cursor: pointer;
}

main header .menu_block svg:hover {
    fill: var(--primary-color);
}

@media (max-width: 1160px) {
    main header .menu_block {
        display: block;
    }

    main header nav {
        display: none;
    }
}

@media (max-width: 546px) {
    main header .mobile_nav {
        width: 100%;
    }
}

